#include "InitRD.h"
#include "arch/MMU.h"
#include "boot/bootboot.h"

TarStream g_initrd;
extern const BOOTBOOT bootboot;

void InitRD::initialize()
{
    u64 virtual_initrd_address = MMU::translate_physical_address(bootboot.initrd_ptr);

    g_initrd.initialize((void*)virtual_initrd_address, bootboot.initrd_size);
}
